- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Models::CCA::CCAAutomaton Class Reference

`#include <CCAAutomaton.h>`

Inheritance diagram for Mers::Models::CCA::CCAAutomaton:

[legend]
Collaboration diagram for Mers::Models::CCA::CCAAutomaton:

[legend]
List of all members.

## Public Member Functions
| CCAAutomaton ()
| CCAAutomaton (const CCAAutomata &_ccAutomata, const CCAVariable &_variable, unsigned int topological_numb)
| CCAAutomaton (const CCAAutomaton &other)
| ~CCAAutomaton ()
void | setUID (unsigned int newUID)
unsigned int | getUID () const
void | set_ccAutomata_p (const CCAAutomata &_ccAutomata)
const CCAAutomata * | ccAutomata_p () const
const CCAModel * | model_p () const
const char * | name () const
const CCAVariable * | variable_p () const
const CCAState * | state_p (const CCAValue &_value) const
CCAStates * | states_p ()
const CCAStates * | states_p () const
bool | set_state_type (const CCAState &_state, const CCAState::StateType state_type)
bool | set_state_constraint (const CCAState &_state, const CCASentence &_constraint)
CCATransitions::const_iterator | insert_transition (const CCATransition &_transition)
const CCATransitions * | transitions_p () const
void | set_topological_numb (unsigned int numb)
unsigned int | topological_numb () const
const CCAAutomaton & | operator= (const CCAAutomaton &other)
bool | operator== (const CCAAutomaton &other) const
bool | operator!= (const CCAAutomaton &other) const
void | print (std::ostream &out) const

## Detailed Description

CCAAutomaton class.

Author:
  Seung H. Chung

Definition at line 41 of file CCAAutomaton.h.

## Member Function Documentation

void CCAAutomaton::setUID | ( | unsigned int | newUID | ) |

Sets the UID of this automaton, which is also it's index in its parent CCAAutomata.

Parameters:

  | newUID | the new UID of this automaton

Definition at line 88 of file CCAAutomaton.cpp.

Referenced by Mers::Models::CCA::CCAAutomata::pushBack().

unsigned int CCAAutomaton::getUID | ( |  | ) | const

Returns the unique identifier of this automaton.

Definition at line 95 of file CCAAutomaton.cpp.

Referenced by Mers::Models::CCA::CCAAutomata::insert_automaton().

void CCAAutomaton::print | ( | std::ostream & | out | ) | const`[virtual]`

Prints this CCAAutomaton to the specified stream.

Parameters:

  | out | the ostream to print this object information to.

Implements Mers::Utils::Lang::BaseModelObject.

Definition at line 195 of file CCAAutomaton.cpp.

References name().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Models/CCA/CCAAutomaton.h
- /Users/fpy/titan-1-5-MBARI/Mers/Models/CCA/CCAAutomaton.cpp